/**
  *Paulina Mustafa
  *December 2011
  *Hot to Make (Almost) Anything
  *Final Project Code
  */

#include <Servo.h> // imports library with commands for servos

// creates servo objects to control servos
Servo rightServo;
Servo leftServo;


// initializing variables as integers
int photo; 
int servo_goto;
int temp;


void setup()
{
  rightServo.attach(A4); // assigns the left servo object to the servo on analog pin A3
  leftServo.attach(A3);
  pinMode (A2,INPUT); // declares pin A4 as an input from the phototransistor
  Serial.begin(9600);
  
  rightServo.write(90);
  leftServo.write(90);
  
}

  

void loop()
{
  photo = analogRead(A4);
//  Serial.println(photo);

  temp = rightServo.read();
  servo_goto = map(photo, 0, 1023, 0, 180);
  
  if (servo_goto < 30) {
    servo_goto = 30;
  }
    
  if (servo_goto > 150) {
    servo_goto = 150;
  }
  
  else {
    servo_goto = servo_goto;
  }
  
  if (temp < servo_goto) {
    while (temp < servo_goto) {
      temp = temp + 1; 
      rightServo.write(temp);
      leftServo.write(temp);
      delay(50);
    }
  }
      
  else {
    while (temp > servo_goto) {
      temp = temp - 1;
      rightServo.write(temp);
      leftServo.write(temp);
      delay(50);
    }
  }
  
  delay(100);
  
}




